diff scripts/update_board @ 450:d2dfa1718edb prerelease

Added core example project, which allows editing of the core Bela source in the IDE. It requires 'building' in update_board
author Liam Donovan <l.b.donovan@qmul.ac.uk>
date Sun, 19 Jun 2016 22:28:34 +0100
parents 5e79364c9b1d
children 7f9032f43f41
line wrap: on
line diff
--- a/scripts/update_board	Sun Jun 19 21:52:07 2016 +0100
+++ b/scripts/update_board	Sun Jun 19 22:28:34 2016 +0100
@@ -1,4 +1,4 @@
-#!/bin/sh
+\#!/bin/sh
 #
 # This script copies the core Bela files to the BeagleBone Black
 # in preparation for building projects. It will remove any existing
@@ -150,6 +150,10 @@
 #ssh $BBB_ADDRESS "cd $BBB_BELA_HOME; doxygen &> /dev/null"
 error_handler $? "\nError while generating Doxygen documentation\n"
 
+printf "Building example projects..."
+ssh $BBB_ADDRESS "sh $BBB_BELA_HOME/examples/core/link_core.sh"
+error_handler $? "\nError while building example projects\n"
+
 #-------------
 #Installing IDE
 [ $ALWAYS_YES -eq 0 ] && ALWAYS_YES_FLAG= || ALWAYS_YES_FLAG="-y"